Nexus4、Nexus5 安装alien虚拟机教程

原文地址:http://4pda.ru/forum/index.php?showtopic=559889&st=700#entry57516932
贴吧地址:http://tieba.baidu.com/p/5088947284
新闻介绍 :http://www.myriadgroup.com/en/press/news/myriad-powers-android-apps-on-first-jolla-smartphone/
机锋论坛教程: http://bbs.gfan.com/android-9030385-1-1.html

!!! 需要开启开发者模式,备份好你的数据

不知道的请查找sailfish开启开发者模式

这里以nexus4 为例

安装需要:

1.安装aliendalvik

由于虚拟机文件还依赖其他文件,所以需要手机保持网络畅通(连接到jolla蛋疼的服务器畅通 囧)
将下载的文件放到手机目录下,不要放到其他文件夹,不好找😂
然后打开文件管理器安装aliendalvik-1.0.46-1.armv7hl.rpm(不建议这样安装,因为看不到进度)
输入下面命令安装

devel-su
#这里会提示你输入root密码,就是开发者模式里面设置的密码,没有的话自己设置一个简单的
pkcon install-local /home/nemo/aliendalvik-1.0.46-1.armv7hl.rpm

然后就等吧,建议把手机屏幕调为常亮,避免黑屏后网络断开

2.停止aliendalvik服务

上面安装好后会显示已安装,没有的话多试几次
执行

systemctl stop aliendalvik

如果提示找不到aliendalvik之类的则表示第一步没有安装成功

3.替换platform_extraenvsetup.sh

执行下面的命令

cp /home/nemo/platform_extraenvsetup.sh /opt/alien/system/script/platform_extraenvsetup.sh
#输入y后确认

4.启动aliendalvik

执行

systemctl start aliendalvik

5.重启手机

输入reboot或者常规重启即可

6.更新到新版系统

RELEASE=2.0.5.6 #n5可以用

devel-su sed -i -e 's#^adaptation=.*$#adaptation=http://repo.merproject.org/obs/nemo:/testing:/hw:/lge:/hammerhead/sailfish_latest_armv7hl/#' \
/usr/share/ssu/repos.ini

ssu dr adaptation0

ssu release $RELEASE
ssu dr extra
ssu dr mw
ssu ar mw http://repo.merproject.org/obs/home:/RealJohnGalt:/testing:/common/sailfish_latest_armv7hl/
ssu er mw
ssu ar dhd http://repo.merproject.org/obs/nemo:/testing:/hw:/lge:/hammerhead/sailfish_latest_armv7hl/
ssu lr
# ^ double-triple check that no -two- enabled repos point to the same URL

# You may have many of OpenRepos enabled. It's recommended to disable them, even
# though version --dup will do its best-effort to isolate repositories:
ssu lr | grep openrepos

devel-su zypper clean -a
devel-su zypper ref -f

version --dup
# 如果失败了就多试几次
version --dup

sync
reboot

好了,开机之后用文件管理器安装安卓软件试试效果

我去,原来aliendarvik是个systemd服务……

@天苯Nexus4、Nexus5 安装alien虚拟机教程 中说:

systemd

旗鱼的服务基本上都是systemd了

@admin 现在都systemd是比较合理,我是没想到原来是个服务

哇塞,N4,N5上都能装alien啦!!!!

@VertexShader 是啊,我前天刚受不了诱惑,入了一个nexus5,亲测可用,不过状态栏有些bug,摄像头驱动也有问题,应该问题不大

@BirdZhang 鸟神绝对是 diehard fan !!!!手动点赞!!!

这个不是nex手机,适用吗?

@cangying 不适用

@birdzhang warehouse里面的微博登陆依赖模块怎么无法安装?

@cangying 那个不需要了,天使后来改成了c++的,不过现在微博貌似又改接口了不能用了

@birdzhang 就是,登不上了erro